﻿using SQLite;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace W8Data
{
	public class Customer
	{
		[PrimaryKey, AutoIncrement]
		public int Id { get; set; }

		[MaxLength(30)]
		public string Name { get; set; }

		[MaxLength(50)]
		public string Address { get; set; }

		[MaxLength(20)]
		public string City { get; set; }

		[MaxLength(5)]
		public string ZipCode { get; set; }

		[MaxLength(15)]
		public string Country { get; set; }
	}
}
